package org.dromara.ygpassport.service;

import org.dromara.ygpassport.domain.ExtracActivities;
import org.dromara.ygpassport.domain.vo.ExtracActivitiesVo;
import org.dromara.ygpassport.domain.bo.ExtracActivitiesBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 第二课堂活动记录Service接口
 *
 * @author Lion Li
 * @date 2024-03-16
 */
public interface IExtracActivitiesService {

    /**
     * 查询第二课堂活动记录
     */
    ExtracActivitiesVo queryById(Long id);

    /**
     * 查询第二课堂活动记录列表
     */
    TableDataInfo<ExtracActivitiesVo> queryPageList(ExtracActivitiesBo bo, PageQuery pageQuery);

    /**
     * 查询第二课堂活动记录列表
     */
    List<ExtracActivitiesVo> queryList(ExtracActivitiesBo bo);

    /**
     * 根据学号查询第二课堂活动记录列表
     */
    List<ExtracActivitiesVo> queryListByStuNo(String stuNo);

    /**
     * 新增第二课堂活动记录
     */
    Boolean insertByBo(ExtracActivitiesBo bo);

    /**
     * 修改第二课堂活动记录
     */
    Boolean updateByBo(ExtracActivitiesBo bo);

    /**
     * 校验并批量删除第二课堂活动记录信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
